/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*********************************************************************\

    File        :    placer_dprfile.h

    Date        :    30 09 1994
    Version     :    1.0

    Auteur      :    CHAPUT  jean-paul
                     BEAURIN oliver

\*********************************************************************/

#ifndef PLACER_DPRFILE_H
#define PLACER_DPRFILE_H

/* ******************* External constants *********************** */

#define   C_PlCon_ConLayerNS             ALU1
#define   C_PlCon_ConLayerEW             ALU2
#define   C_PlCon_ConWidthNS                1
#define   C_PlCon_ConWidthEW                2


/* ******************* Interface functions ********************** */

#ifndef  ANSI_PROTO
extern void  PlCon_Init( );
extern void  PlCon_SetPhCon( );
extern void  PlCon_MakePlacement( );
#else
extern void  PlCon_Init(void);
extern void  PlCon_SetPhCon(      phfig_list *aPhFig, locon_list *aLoCon);
extern void  PlCon_MakePlacement(       char *aFigName);
#endif

#endif /* PLACER_DPRFILE_H */
