/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/********************************************************************
*                                                                   *
* Laboratoire MASI CAO-VLSI, UPMC, Copyright 1991 1992 1993 1994    *
*                                                                   *
* Software support Email : cao-vlsi@masi.ibp.fr                     *
*                                                                   *
* Authors : Zouina AKTOUF &                                         *
*           El Arabi RHOMARI &                                      *
*           Jose MARTINS DOS SANTOS                                 *
*                                                                   *
* Supervision & Modifications : Lotfi BEN AMMAR                     *
*                                                                   *
********************************************************************/

#ifndef UTIL_H
#define UTIL_H

/*---------------------------------------------------------\
                     prototypes
\---------------------------------------------------------*/
extern chain_list    *chain_pred( );
extern chain_list    *existsig( );
extern chain_list    *addpos( );
extern ConnectorList *insertcon_inchan( );
extern void           Warning( );
extern void           Error( );
extern long           strnbr( );
extern char          *nbrstr( );
extern long           strrch( );
extern long           delta_x( );
extern long           delta_y( );
extern char           orient_r( );
extern char           orient_l( );
extern char           prient_rl( );
extern char           Orient( );
extern long           deltab_y( );
extern long           deltab_x( );
extern chain_list    *addchannel( );
extern chain_list    *addpos( );
extern chain_list    *addnwell( );
extern chain_list    *addseg( );
extern chain_list    *addvia( );
extern TRACK         *addtrack( );
extern char           manorme( );

#endif
