/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                  Gme101.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_GME 
# define DREAL_GME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern DrealMenuItem  DrealEditMenu[];
  extern DrealMenuItem  DrealWindowMenu[];
  extern DrealPanelItem DrealEditGlobalPanel;
  extern DrealPanelItem DrealWindowGlobalPanel;
  extern DrealPanelItem DrealEditSearchPanel;
  extern DrealPanelItem DrealEditSearchViewPanel;
  extern DrealPanelItem DrealEditIdentifyPanel;
  extern DrealPanelItem DrealEditSelectPanel;
  extern DrealPanelItem DrealModifyRectanglePanel;

  extern int DrealEditGlobalDefaultValues[ 5 ];
  extern int DrealWindowGlobalDefaultValues[ 5 ];
  extern int DrealEditSearchDefaultValues[ 5 ];
  extern int DrealEditIdentifyDefaultValues[ 5 ];
  extern int DrealEditSelectDefaultValues[ 5 ];
  extern int DrealEditSearchViewDefaultValues[ 5 ];
  extern int DrealModifyRectangleDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void DrealBuidlPanelModify();
  extern void DrealBuildEditDialog();

  extern void DrealEditSelectPointDelete();
  extern void DrealEditSelectWindowDelete();
  extern void DrealEditSelectPointCopy();
  extern void DrealEditSelectWindowCopy();
  extern void DrealEditSelectPointMove();
  extern void DrealEditSelectWindowMove();
  extern void DrealEditSelectPointModify();
  extern void DrealEditSelectWindowModify();

  extern void DrealEditIdentify();
  extern void DrealEditUnselectAll();

  extern void DrealEditSelectPoint();
  extern void DrealEditSelectWindow();
  extern void DrealEditSelectFence();

  extern void DrealEditUndo();
  extern void DrealEditRedo();
  extern void DrealEditCopy();
  extern void DrealEditMove();
  extern void DrealEditDelete();
  extern void DrealEditModify();
  extern void DrealEditStretch();

# endif
