/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_SETUP
# define DREAL_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define DREAL_TOPLEVEL_TRANSLATE_X        0
# define DREAL_TOPLEVEL_TRANSLATE_Y        0
# define DREAL_PANEL_TRANSLATE_X           4
# define DREAL_PANEL_TRANSLATE_Y          21

# define DREAL_TOPLEVEL_X                10
# define DREAL_TOPLEVEL_Y                10
# define DREAL_TOPLEVEL_WIDTH          1024
# define DREAL_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void DrealDefaultConfig();
  extern void DrealSaveConfig();
  extern void DrealLoadConfig();

# endif 
