/*
 * $Author: ac $
 * $Id: fpm_load.h,v 1.1 1999/10/21 12:52:05 ac Exp $
 * $Date: 1999/10/21 12:52:05 $
 */
/*
 * $Log: fpm_load.h,v $
 * Revision 1.1  1999/10/21 12:52:05  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

#ifndef __fpm_load_h
#define __fpm_load_h

/*----------------------------------------------------------------------*/
/*                           Nested includes                            */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

#define FP_CLOCK_TYPE         0x52151D16
#define FP_CLOCK_NAME         0x487CD75C

#define FP_FF_RE              ( 1 << 0 )
#define FP_FF_FE              ( 1 << 1 )
#define FP_LATCH_AH           ( 1 << 2 )
#define FP_LATCH_AL           ( 1 << 3 )

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

#ifndef __P
# ifdef __STDC__
#  define __P(args)	args
# else
#  define __P(args)	()
# endif
#endif

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                         Function prototypes                          */
/*----------------------------------------------------------------------*/

extern void fpm_load(void);

#endif /* __fpm_load_h */
