/*
 * $Author: ac $
 * $Id: fpm_stat.c,v 1.1 1999/10/21 12:52:07 ac Exp $
 * $Date: 1999/10/21 12:52:07 $
 */
/*
 * $Log: fpm_stat.c,v $
 * Revision 1.1  1999/10/21 12:52:07  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include <stdio.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  ABE_H
#include "fpm_stat.h"

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

void 
fpm_stat()
{
	struct rusage rusage;
	char hostname[257];
	float User;
	float Sys;
	float Total;

	/* Get the hostname */
	(void) gethostname(hostname, 256);
	hostname[256] = '\0';	/* just in case */

	/* Get usage stats */
	(void) getrusage(RUSAGE_SELF, &rusage);
	User = rusage.ru_utime.tv_sec + rusage.ru_utime.tv_usec / 1.0e6;
	Sys = rusage.ru_stime.tv_sec + rusage.ru_stime.tv_usec / 1.0e6;
	Total = User + Sys;

	printf("\n * Statistics\n");
	printf("   - Hostname    : %s\n", hostname);
	printf("   - elapsed time: %.2f sec (%.2f sec user %.2f sec system)\n",
	       Total, User, Sys);
}
