/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                 Modify.h                          |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_MODIFY
# define GRAAL_MODIFY

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char GraalModifyAbort;
  extern char GraalModifyLock;
  extern char GraalModifyApply;

/*------------------------------------------------------------\
|                                                             |
|                             Lock                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Segment                           |
|                                                             |
\------------------------------------------------------------*/

  extern char  GraalSegmentMLayer;
  extern long  GraalSegmentMWidth;
  extern char *GraalSegmentMName;

/*------------------------------------------------------------\
|                                                             |
|                              Via                            |
|                                                             |
\------------------------------------------------------------*/

  extern char  GraalViaMType;

/*------------------------------------------------------------\
|                                                             |
|                           Transistor                        |
|                                                             |
\------------------------------------------------------------*/

  extern char  GraalTransistorMType;
  extern char *GraalTransistorMName;
  extern long  GraalTransistorMWidth;

/*------------------------------------------------------------\
|                                                             |
|                           Connector                         |
|                                                             |
\------------------------------------------------------------*/

  extern char  GraalConnectorMLayer; 
  extern long  GraalConnectorMWidth; 
  extern char *GraalConnectorMName;  
  extern char  GraalConnectorMOrient;

/*------------------------------------------------------------\
|                                                             |
|                           Reference                         |
|                                                             |
\------------------------------------------------------------*/

  extern char  GraalReferenceMType;  
  extern char *GraalReferenceMName;  

/*------------------------------------------------------------\
|                                                             |
|                           Instance                          |
|                                                             |
\------------------------------------------------------------*/

 extern char  GraalInstanceMSym;
 extern char *GraalInstanceMName;
 extern char *GraalInstanceMModel;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/


# endif
