/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                   Panel.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_TOOLS_PANEL
# define GRAAL_TOOLS_PANEL

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_TOOLS_GLOBAL_X         990
# define GRAAL_TOOLS_GLOBAL_Y         505
# define GRAAL_TOOLS_MESSAGE_X        330
# define GRAAL_TOOLS_MESSAGE_Y        280
# define GRAAL_TOOLS_DRUC_X           100
# define GRAAL_TOOLS_DRUC_Y           230
# define GRAAL_TOOLS_HIERARCHY_X      890
# define GRAAL_TOOLS_HIERARCHY_Y       80

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackToolsGlobalEqui();
  extern void CallbackToolsGlobalUnEqui();
  extern void CallbackToolsGlobalFlat();
  extern void CallbackToolsGlobalUnflat();
  extern void CallbackToolsGlobalPeek();
  extern void CallbackToolsGlobalUnpeek();
  extern void CallbackToolsGlobalDruc();
  extern void CallbackToolsGlobalRealFlat();
  extern void CallbackToolsCloseGlobal();

  extern void CallbackToolsCloseMessage();

  extern void CallbackToolsHierarchyUp();
  extern void CallbackToolsHierarchyDown();
  extern void CallbackToolsHierarchyReload();
  extern void CallbackToolsCloseHierarchy();

  extern void CallbackToolsDrucContinue();
  extern void CallbackToolsDrucAbort();

  extern void CallbackDisplayDrucMessage();

# endif 
