/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Cursor.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_CURSOR
# define GRAAL_CURSOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_MAX_CURSOR_BUFFER 128

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern Position GraalCursorX;
  extern Position GraalCursorY;
  extern Position GraalCursorSaveX;
  extern Position GraalCursorSaveY;
  extern char     GraalCursorSaved;
  extern char     GraalCursorInside;
  extern long     GraalLambdaCursorX;
  extern long     GraalLambdaCursorY;

  extern long     GraalPixelCursorX;
  extern long     GraalPixelCursorY;

  extern long     GraalPixelCursorX1;
  extern long     GraalPixelCursorY1;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalComputeCursor();
  extern void GraalChangeCursorType();
  extern void GraalPointCursor();
  extern void GraalResetCursor();
  extern void GraalDisplayCoordinates();
  
# endif 
