/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Bhl                           |
|                                                             |
| File    :                 Bhl Errors                        |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   01.02.95                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef BHL_ERROR_H
# define BHL_ERROR_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define BHL_EXPR_NULL_ERROR       0
# define BHL_EXPR_LOOP_ERROR       1
# define BHL_UNKNOWN_ATOM_ERROR    2
# define BHL_SIMPLIFY_ERROR        3
# define BHL_ILLEGAL_STABLE_ERROR  4
# define BHL_OPERATOR_ERROR        5

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Macros                           |
|                                                             |
\------------------------------------------------------------*/

# define bhlerror( E, V ) (bhl_error( (E), (V), __FILE__, __LINE__ ))

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void bhl_error();

# endif
