/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Rtl                           |
|                                                             |
| File    :                   rtnalloc.c                      |
|                                                             |
| Date    :                   04.07.96                        |
|                                                             |
| Rtlhor  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include VEX_H
# include RTN_H

# include <stdio.h>
# include "rtnalloc.h"
# include "rtnerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Figure                      |
|                                                             |
\------------------------------------------------------------*/

rtlfig_list *allocrtlfig()
{
  return( (rtlfig_list *)autallocblock( sizeof( rtlfig_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Declaration                 |
|                                                             |
\------------------------------------------------------------*/

rtldecl_list *allocrtldecl()
{
  return( (rtldecl_list *)autallocheap( sizeof( rtldecl_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Assign                      |
|                                                             |
\------------------------------------------------------------*/

rtlasg_list *allocrtlasg()
{
  return( (rtlasg_list *)autallocheap( sizeof( rtlasg_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Bi Vex                      |
|                                                             |
\------------------------------------------------------------*/

rtlbivex_list *allocrtlbivex()
{
  return( (rtlbivex_list *)autallocheap( sizeof( rtlbivex_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Fsm                         |
|                                                             |
\------------------------------------------------------------*/

rtlfsm_list *allocrtlfsm()
{
  return( (rtlfsm_list *)autallocblock( sizeof( rtlfsm_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Fsm Trans                   |
|                                                             |
\------------------------------------------------------------*/

rtlfsmtrans_list *allocrtlfsmtrans()
{
  return( (rtlfsmtrans_list *)autallocheap( sizeof( rtlfsmtrans_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Fsm State                   |
|                                                             |
\------------------------------------------------------------*/

rtlfsmstate_list *allocrtlfsmstate()
{
  return( (rtlfsmstate_list *)autallocheap( sizeof( rtlfsmstate_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Fsm Assign                  |
|                                                             |
\------------------------------------------------------------*/

rtlfsmasg_list *allocrtlfsmasg()
{
  return( (rtlfsmasg_list *)autallocheap( sizeof( rtlfsmasg_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Rtl Alloc Symbol                      |
|                                                             |
\------------------------------------------------------------*/

rtlsym *allocrtlsym( Width )

  unsigned int Width;
{
  return( (rtlsym *)autallocblock( sizeof( rtlsym ) * Width ) );
}
