/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Scg                           |
|                                                             |
| File    :                    scgn.c                        |
|                                                             |
| Date    :                   28.04.98                        |
|                                                             |
| Authors :               Picault  Stephane                   |
|                         Miramond   Benoit                   |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include SCL_H
# include MLO_H

# include <stdio.h>
# include "scg.h"
# include "scgmain.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

schfig_list *getschfig(FileName ,Type)

   char *FileName;
   long  Type;
{

 if (Type == SCH_FROM_CNS)
  {
     return ( getschfig_from_cnsfig( FileName ));
  }
  if (Type == SCH_FROM_LO)
  {
     return (getschfig_from_lofig( FileName ));
  }
  return((schfig_list*)0);
}
