/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Sch                           |
|                                                             |
| File    :                  schalloc.c                       |
|                                                             |
| Date    :                   04.03.98                        |
|                                                             |
| Author  :               Picault  Stephane                   |
|                         Miramond   Benoit                   |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/


# include <stdio.h>
# include <string.h>
# include "schalloc.h"
# include "scherror.h"

# include MUT_H
# include MLO_H
# include AUT_H
# include SCL_H


/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  schfig_list *HEAD_SCHFIG = (schfig_list *)0;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Alloc Functions                       |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                        Sch Alloc Figure                     |
|                                                             |
\------------------------------------------------------------*/
 
schfig_list *allocschfig()
{
  return( (schfig_list *)(autallocblock( sizeof( schfig_list ) ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Alloc Box                        |
|                                                             |
\------------------------------------------------------------*/

schbox_list *allocschbox()
{
  return( (schbox_list *)(autallocheap( sizeof( schbox_list ) ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Alloc Connector                  |
|                                                             |
\------------------------------------------------------------*/

schcon_list *allocschcon()
{
  return( (schcon_list *)(autallocheap( sizeof( schcon_list ) ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Alloc Net                        |
|                                                             |
\------------------------------------------------------------*/

schnet_list *allocschnet()
{
  return( (schnet_list *)(autallocheap( sizeof( schnet_list ) ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Alloc Wire                       |
|                                                             |
\------------------------------------------------------------*/

schwir_list *allocschwir()
{
  return( (schwir_list *)(autallocheap( sizeof( schwir_list ) ) ) );
}

