/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Sch                           |
|                                                             |
| File    :                  schfree.c                        |
|                                                             |
| Date    :                   28.01.97                        |
|                                                             |
| Authors :             Picault   Stephane                    |
|                       Miramond    Benoit                    |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include SCL_H

# include <stdio.h>
# include <string.h>
# include "schfree.h"
# include "scherror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     Sch Free Functions                      |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                      Sch Free Figure                        |
|                                                             |
\------------------------------------------------------------*/
 
void freeschfig( Figure )

  schfig_list *Figure;
{
  autfreeblock( (char *)Figure );
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Free Box                         |
|                                                             |
\------------------------------------------------------------*/

void freeschbox( Box )

  schbox_list *Box;
{
  autfreeheap( (char *)Box, sizeof( schbox_list ));
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Free Connector                   |
|                                                             |
\------------------------------------------------------------*/

void freeschcon( Connector )

  schcon_list *Connector;
{
  autfreeheap( (char *)Connector, sizeof( schcon_list ));
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Free Net                         |
|                                                             |
\------------------------------------------------------------*/

void freeschnet( Net )

  schnet_list *Net;
{
  autfreeheap( (char *)Net, sizeof( schnet_list ));
}

/*------------------------------------------------------------\
|                                                             |
|                        Sch Free Wire                        |
|                                                             |
\------------------------------------------------------------*/

void freeschwir( Wire )

  schwir_list *Wire;
{
  autfreeheap( (char *)Wire, sizeof( schwir_list ));
}

