/*------------------------------------------------------------\
|                                                             |
| Tool    :                     SYF                           |
|                                                             |
| File    :                  syf_synth.h                      |
|                                                             |
| Authors :                  C. Sarwary                       |
|                     Modified by Jacomme Ludovic             |
|                                                             |
| Date    :                   01.11.94                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef SYF_SYNTH_H
# define SYF_SYNTH_H

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

 extern void SyfSynthStack2Abl();
 extern void SyfSynthCtrl2Abl();
 extern void SyfSynthOut2Abl();
 extern void SyfSynthReg2Abl();
 extern void SyfSynthCode2Abl();
 extern void SyfSynthTrans2Abl();
 extern void SyfSynthFsm2Abl();

 extern void SyfSynthFreeStackAbl();
 extern void SyfSynthFreeCtrlAbl();
 extern void SyfSynthFreeOutAbl();
 extern void SyfSynthFreeRegAbl();
 extern void SyfSynthFreeCodeAbl();
 extern void SyfSynthFreeTransAbl();
 extern void SyfSynthFreeFsmAbl();

 extern void SyfSynthFsmInit();

# endif
