
/* ###--------------------------------------------------------------### */
/*									*/
/* file		: bvl_byacc.h						*/
/* date		: Jun 15 1992						*/
/* version	: v102							*/
/* author	: Pirouz BAZARGAN SABET					*/
/* content	: declaration of external functions and global variables*/
/*		  used by yacc						*/
/*								 	*/
/* ###--------------------------------------------------------------### */

static struct dct_entry *addent ();
static struct dct_recrd *addrcd ();
static struct dct_entry **initab ();
static void addtab ();
static int chktab ();
static void fretab ();
static void *vbl_addstr ();
static vbtyp_list *val_type();
static vbtyp_list *get_type();
static struct ptype *reversetype();
static struct choice_chain *addchoice();
static struct choice_chain *order_choice();

extern char          VBL_ERRFLG;        /* set to 1 in case of error    */
extern struct vbfig *VBL_HEADFIG;       /* head of vbfigs               */
extern struct vbpcs *VBL_BEPCS;
extern struct vbfun *VBL_BEFUN;
extern long          VBL_LINNUM;
extern int           VBL_NUMPTP;
extern int           VBL_NUMCHOICE;

/*\
pNode         VBL_BDDPNT;
\*/
		/* BDD pointer			*/
char         *VBL_MODNAM;		/* curnennt model name		*/
char         *VBL_PROCNAM;              /* current process name         */
char         *VBL_FUNCNAM;              /* current function/procedure name */
vbl_vexstr    VBL_SLCEXP;		/* structure filled with the	*/
vbl_vexstr    VBL_EMPSTR;		/* empty structure used with NOT*/
 
static int           VBL_NUMTYP = 0;	/* nombre de type			*/
static struct chain *VBL_NM1LST = NULL;	/* 1-st name liste		*/
static struct chain *VBL_NM2LST = NULL;	/* 2-st name liste		*/
static struct chain *VBL_INSLST = NULL;	/* 3-st name liste		*/
static struct chain *VBL_LOOPLBLLST = NULL;
static struct chain *VBL_GRDLST = NULL;	/* list of guard's ABL		*/
static struct chain *VBL_CNDLST = NULL;	/* list of conditions (ABL)	*/
static struct chain *VBL_LINLST = NULL; /* list of line                 */
static struct chain *VBL_VALLST = NULL;	/* list of waveforms (ABL)	*/
static struct vbfig *VBL_BEFPNT = NULL;	/* current BEFIG pointer	*/
static char         *VBL_LOOPLBL = NULL;

static struct authtable *VBL_ENUMVAL = NULL;
static struct authtable *VBL_HASHCST = NULL;
static struct choice_chain  *VBL_CASPNT = NULL;
static int                   VBL_CASSIZE = 0;
static struct ptype *VBL_OTHPNT = NULL;
static struct ptype *VBL_PTYPE = NULL;

static struct dct_entry  *VBL_DCEHED;	/* free dct_entry's head	*/
static struct dct_recrd  *VBL_DCRHED;	/* free dct_recrd's head	*/

static struct dct_entry **hshtab;
 
extern struct vbgen      *bvl_addgen();

extern vbl_vexstr         vbl_crtvex();
extern vbl_vexstr         bvl_cpyvexstr();
extern vbl_vexstr         bvl_select();
extern char              *bvl_stostr();
extern void               bvl_error();

