#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif
/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VVH                           |
|                                                             |
| File    :                  vvherror.c                       |
|                                                             |
| Author  :                 Jacomme Ludovic                   |
|                                                             |
| Date    :                   01.01.95                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VVH_ERROR_H
# define VVH_ERROR_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define VVH_ERROR_OPEN_FILE               1
# define VVH_ERROR_PARSE_FILE              2
# define VVH_ERROR_AUX_INIT                3
# define VVH_ERROR_LOOP_PATH               4
# define VVH_ERROR_DRIVE_FILE              5
# define VVH_ERROR_BAD_TYPE                6

/*------------------------------------------------------------\
|                                                             |
|                           Warnings                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define vvherror( E, T, V )  \
    ( vvh_error( (int)(E), (char*)(T), (long)(V), __FILE__, __LINE__ ))

# define vvhwarning( E, T, V ) \
    ( vvh_warning( (int)(E), (char*)(T), (long)(V), __FILE__, __LINE__ ))

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern           void  vvh_error __P((int Error, char *Text, long Value, char *File, int Line));
  extern           void  vvh_warning __P((int Warning, char *Text, long Value, char *File, int Line));

# endif
