/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XFSM                           |
|                                                             |
| File    :                    Bdd.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFS_BDD_H
# define XFS_BDD_H

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XFSM_BDD_MAX_NODE          900000
# define XFSM_BDD_VAR_NODE              50
# define XFSM_BDD_OPER_NODE           1000
# define XFSM_BDD_REORDER_LOW        50000
# define XFSM_BDD_REORDER_RATIO         50
# define XFSM_BDD_REORDER_FUNC       reorderbddsystemsimple

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void        XfsmSimplifyFigure();
  extern bddcircuit *XfsmMakeBddCircuit();

# endif 
