/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_SETUP
# define XFSM_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XFSM_TOPLEVEL_TRANSLATE_X        8
# define XFSM_TOPLEVEL_TRANSLATE_Y       25
# define XFSM_PANEL_TRANSLATE_X           0
# define XFSM_PANEL_TRANSLATE_Y           0

# define XFSM_TOPLEVEL_X                10
# define XFSM_TOPLEVEL_Y                10
# define XFSM_TOPLEVEL_WIDTH          1024
# define XFSM_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XfsmDefaultConfig();
  extern void XfsmSaveConfig();
  extern void XfsmLoadConfig();

# endif 
