/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XFSM                           |
|                                                             |
| File    :                    XMV.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XFSM_XMV
# define XFSM_XMV 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char XfsmFirstViewLayer;

/*------------------------------------------------------------\
|                                                             |
|                        Panel And Menu                       |
|                                                             |
\------------------------------------------------------------*/

  extern XfsmMenuItem  XfsmViewMenu[];
  extern XfsmPanelItem XfsmViewArrowsPanel;
  extern XfsmPanelItem XfsmViewZoomPanel;
  extern XfsmPanelItem XfsmViewGridPanel;
  extern XfsmPanelItem XfsmViewLayerPanel;
  extern XfsmPanelItem XfsmViewMapPanel;
 
  extern int  XfsmPercentZoom;
  extern int  XfsmPercentMoveX;
  extern int  XfsmPercentMoveY;

  extern int  XfsmViewArrowsDefaultValues[5];
  extern int  XfsmViewZoomDefaultValues[5];
  extern int  XfsmViewLayerDefaultValues[5];
  extern int  XfsmViewGridDefaultValues[5];
  extern int  XfsmViewMapDefaultValues[5];
  
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Values                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Callback                           |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Zoom                             |
|                                                             |
\------------------------------------------------------------*/

  extern void XfsmComputeAndDisplayMap();
  extern void XfsmInitializeZoom();
  extern void XfsmBuildViewDialog();
  extern void XfsmBuildPanelMap();
  extern void XfsmInitializeMapEvent();

  extern void XfsmZoomCenter();
  extern void XfsmZoomRefresh();
  extern void XfsmZoomIn();
  extern void XfsmZoomPan();

  extern void XfsmPromptZoomIn();
  extern void XfsmPromptZoomPan();
  extern void XfsmPromptZoomCenter();

# endif
