# /*------------------------------------------------------------\
# |                                                             |
# | Tool   :                      SYF                           |
# |                                                             |
# | File   :                    local.mk                        |
# |                                                             |
# | Author :                 Jacomme Ludovic                    |
# |                                                             |
# | Date   :                    12.06.96                        |
# |                                                             |
# \------------------------------------------------------------*/
# /*------------------------------------------------------------\
# |                                                             |
# |                             Target                          |
# |                                                             |
# \------------------------------------------------------------*/

LOCAL_TARGET_LIB = $(TARGET_LIB)
LOCAL_TARGET_INC = $(TARGET_INCLUDE)
LOCAL_TARGET_BIN = $(TARGET_BIN)

# /*------------------------------------------------------------\
# |                                                             |
# |                             Library                         |
# |                                                             |
# \------------------------------------------------------------*/

AUT_LIB = libAut103.a
ABL_LIB = libAbl103.a
VEX_LIB = libVex103.a
BDD_LIB = libBdd104.a
BTR_LIB = libBtr103.a

# FBH_LIB = libFbh103.a
# FBL_LIB = libFbl103.a
FSM_LIB = libFsm104.a
FKS_LIB = libFks104.a
FVH_LIB = libFvh104.a
FTL_LIB = libFtl104.a

ABE_LIB = libAbe200.a
ABT_LIB = libAbt200.a
ABV_LIB = libAbv200.a

VBH_LIB = libVbh104.a
VBL_LIB = libVbl104.a

VPN_LIB = libVpn105.a
VTL_LIB = libVtl105.a
VVH_LIB = libVvh105.a
VPD_LIB = libVpd105.a
VHL_LIB = libVhl105.a

MAD_LIB = libMad103.a
DSY_LIB = libDsy103.a
DPI_LIB = libDpi103.a
DVH_LIB = libDvh103.a

SCL_LIB = libScl103.a

GCP_LIB = libGcp101.a
RTD_LIB = libRtd101.a
RTN_LIB = libRtn101.a

AUT_L   = -lAut103
ABL_L   = -lAbl103
VEX_L   = -lVex103
BDD_L   = -lBdd104
BTR_L   = -lBtr103

FBH_L   = -lFbh104
FBL_L   = -lFbl104
FSM_L   = -lFsm104
FKS_L   = -lFks104
FVH_L   = -lFvh104
FTL_L   = -lFtl104

ABE_L   = -lAbe200
ABT_L   = -lAbt200
ABV_L   = -lAbv200

VBH_L   = -lVbh104
VBL_L   = -lVbl104

VPN_L   = -lVpn105
VTL_L   = -lVtl105
VVH_L   = -lVvh105
VPD_L   = -lVpd105
VHL_L   = -lVhl105

SCL_L   = -lScl103

GCP_L   = -LGcp101
RTD_L   = -LRtd101
RTN_L   = -LRtn101

MAD_L   = -lMad103.a
DSY_L   = -lDsy103.a
DPI_L   = -lDpi103.a
DVH_L   = -lDvh103.a

# /*------------------------------------------------------------\
# |                                                             |
# |                             Include                         |
# |                                                             |
# \------------------------------------------------------------*/

AUT_H   = aut103.h
ABL_H   = abl103.h
VEX_H   = vex103.h
BDD_H   = bdd104.h
BTR_H   = btr103.h

FBH_H   = fbh104.h
FSM_H   = fsm104.h
FVH_H   = fvh104.h
FTL_H   = ftl104.h

ABE_H   = abe200.h
ABT_H   = abt200.h
ABV_H   = abv200.h

VBH_H   = vbh104.h
VBL_H   = vbl104.h

VPN_H   = vpn105.h
VTL_H   = vtl105.h
VHL_H   = vhl105.h

MAD_H   = mad103.h
DSY_H   = dsy103.h
DPI_H   = dpi103.h
DVH_H   = dvh103.h

SCL_H   = scl103.h

GCP_H   = gcp101.h
RTN_H   = rtn101.h
RTD_H   = rtd101.h

# /*------------------------------------------------------------\
# |                                                             |
# |                             Source                          |
# |                                                             |
# \------------------------------------------------------------*/

LOCAL_AUT_SCE = aut
LOCAL_ABL_SCE = abl
LOCAL_VEX_SCE = vex
LOCAL_BDD_SCE = bdd
LOCAL_BTR_SCE = btr

LOCAL_FSM_SCE = fsm
LOCAL_FKS_SCE = fks
LOCAL_FVH_SCE = fvh
LOCAL_FTL_SCE = ftl

LOCAL_GCP_SCE = gcp

LOCAL_RTN_SCE = rtn
LOCAL_RTD_SCE = rtd

LOCAL_B2F_SCE = b2f
LOCAL_K2F_SCE = k2f

LOCAL_VPN_SCE = vpn
LOCAL_VBH_SCE = vbh
LOCAL_VTL_SCE = vtl
LOCAL_VBL_SCE = vbl
LOCAL_VVH_SCE = vvh
LOCAL_VPD_SCE = vpd
LOCAL_VHL_SCE = vhl

LOCAL_ABE_SCE = abe
LOCAL_ABT_SCE = abt
LOCAL_ABV_SCE = abv

LOCAL_SYF_SCE = syf
LOCAL_XFS_SCE = xfs
LOCAL_XPT_SCE = xpt
LOCAL_K2F_SCE = k2f

LOCAL_MAD_SCE = mad
LOCAL_DSY_SCE = dsy
LOCAL_DPI_SCE = dpi
LOCAL_DVH_SCE = dvh

LOCAL_SCL_SCE = scl
LOCAL_XSC_SCE = xsc

