/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_SETUP
# define XPAT_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XPAT_TOPLEVEL_TRANSLATE_X        8
# define XPAT_TOPLEVEL_TRANSLATE_Y       25
# define XPAT_PANEL_TRANSLATE_X           0
# define XPAT_PANEL_TRANSLATE_Y           0

# define XPAT_TOPLEVEL_X                10
# define XPAT_TOPLEVEL_Y                10
# define XPAT_TOPLEVEL_WIDTH          1024
# define XPAT_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XpatDefaultConfig();
  extern void XpatSaveConfig();
  extern void XpatLoadConfig();

# endif 
