/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                            |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include PAT_H
# include XSB_H
# include XPT_H
# include XMX_H
# include XTB_H
# include XMV_H
# include "XMV_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       XpatPromptZoomIn                     |
|                                                             |
\------------------------------------------------------------*/

void XpatPromptZoomIn()

{
  autbegin();

  XpatDisplayMessage( XPAT_MESSAGE_MODE, "Zoom In" );
  XpatDisplayMessage( XPAT_MESSAGE_INFO, "Select window" );

  switch ( XpatCountEventZoom )
  {
    case 0 : 

      XpatDisplayMessage( XPAT_MESSAGE_PROMPT, "Enter first corner" );

    break;

    case 1 :

      XpatDisplayMessage( XPAT_MESSAGE_PROMPT, "Enter second corner" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                       XpatPromptZoomPan                    |
|                                                             |
\------------------------------------------------------------*/

void XpatPromptZoomPan()

{
  autbegin();

  XpatDisplayMessage( XPAT_MESSAGE_MODE, "Zoom Pan" );
  XpatDisplayMessage( XPAT_MESSAGE_INFO, "Select line"  );

  switch ( XpatCountEventZoom )
  {
    case 0 : 

      XpatDisplayMessage( XPAT_MESSAGE_PROMPT, "Enter source point" );

    break;

    case 1 : 

      XpatDisplayMessage( XPAT_MESSAGE_PROMPT, "Enter target point" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XpatPromptZoomCenter                    |
|                                                             |
\------------------------------------------------------------*/

void XpatPromptZoomCenter()

{
  autbegin();

  XpatDisplayMessage( XPAT_MESSAGE_MODE, "Zoom Center" );
  XpatDisplayMessage( XPAT_MESSAGE_INFO, "Select point" );
  XpatDisplayMessage( XPAT_MESSAGE_PROMPT, "Enter center point" );

  autend();
}

