/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XPAT                           |
|                                                             |
| File    :                  Cursor.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XPAT_CURSOR
# define XPAT_CURSOR

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XPAT_MAX_CURSOR_BUFFER 256

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern Position XpatCursorX;
  extern Position XpatCursorY;
  extern Position XpatCursorSaveX;
  extern Position XpatCursorSaveY;
  extern char     XpatCursorSaved;
  extern char     XpatCursorInside;
  extern long     XpatLambdaCursorX;
  extern long     XpatLambdaCursorY;

  extern long     XpatPixelCursorX;
  extern long     XpatPixelCursorY;

  extern long     XpatPixelCursorX1;
  extern long     XpatPixelCursorY1;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XpatComputeCursor();
  extern void XpatChangeCursorType();
  extern void XpatPointCursor();
  extern void XpatResetCursor();
  extern void XpatDisplayCoordinates();
  
# endif 
