/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XSCH                            |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include MLO_H
# include SCL_H
# include XSB_H
# include XSC_H
# include XMX_H
# include XTB_H
# include XMV_H
# include "XMV_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       XschPromptZoomIn                     |
|                                                             |
\------------------------------------------------------------*/

void XschPromptZoomIn()

{
  autbegin();

  XschDisplayMessage( XSCH_MESSAGE_MODE, "Zoom In" );
  XschDisplayMessage( XSCH_MESSAGE_INFO, "Select window" );

  switch ( XschCountEventZoom )
  {
    case 0 : 

      XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter first corner" );

    break;

    case 1 :

      XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter second corner" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                       XschPromptZoomPan                    |
|                                                             |
\------------------------------------------------------------*/

void XschPromptZoomPan()

{
  autbegin();

  XschDisplayMessage( XSCH_MESSAGE_MODE, "Zoom Pan" );
  XschDisplayMessage( XSCH_MESSAGE_INFO, "Select line"  );

  switch ( XschCountEventZoom )
  {
    case 0 : 

      XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter source point" );

    break;

    case 1 : 

      XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter target point" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XschPromptZoomCenter                    |
|                                                             |
\------------------------------------------------------------*/

void XschPromptZoomCenter()

{
  autbegin();

  XschDisplayMessage( XSCH_MESSAGE_MODE, "Zoom Center" );
  XschDisplayMessage( XSCH_MESSAGE_INFO, "Select point" );
  XschDisplayMessage( XSCH_MESSAGE_PROMPT, "Enter center point" );

  autend();
}

