/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XSCH                           |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushB.h>
# include <Xm/Form.h>
# include <Xm/Frame.h>
 
# include MUT_H
# include AUT_H
# include MLO_H
# include XSB_H
# include XTB_H
# include XMF_H
# include XME_H
# include XMV_H
# include XMT_H
# include XMS_H
# include XMH_H
# include XMX_H

# include "XMX_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     XschInitializePanel                     |
|                                                             |
\------------------------------------------------------------*/

void XschInitializePanel()

{
  autbegin();

  XschBuildPanel( XschMainWindow, &XschViewArrowsPanel        );
  XschBuildPanel( XschMainWindow, &XschViewZoomPanel          );
  XschBuildPanel( XschMainWindow, &XschViewGridPanel          );
  XschBuildPanel( XschMainWindow, &XschViewLayerPanel         );
  XschBuildPanel( XschMainWindow, &XschEditSearchViewPanel    );
  XschBuildPanel( XschMainWindow, &XschEditSelectPanel        );
  XschBuildPanel( XschMainWindow, &XschEditIdentifyPanel      );
  XschBuildPanel( XschMainWindow, &XschToolsMessagePanel      );
  XschBuildPanel( XschMainWindow, &XschSetupInformationsPanel );

  XschBuildPresentPanel();

  autend();
}
