/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XVPN                           |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include XSB_H
# include XMX_H
# include XTB_H
# include XME_H
# include "XME_edit.h"
# include "XME_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    XvpnPromptEditIdentify                   |
|                                                             |
\------------------------------------------------------------*/

void XvpnPromptEditIdentify()

{
  autbegin();

  XvpnDisplayMessage( XVPN_MESSAGE_MODE  , "Identify" );
  XvpnDisplayMessage( XVPN_MESSAGE_INFO  , "Select object" );
  XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter select point" );

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XvpnPromptEditConnected                  |
|                                                             |
\------------------------------------------------------------*/

void XvpnPromptEditConnected()

{
  autbegin();

  XvpnDisplayMessage( XVPN_MESSAGE_MODE  , "Connected" );
  XvpnDisplayMessage( XVPN_MESSAGE_INFO  , "Select object" );
  XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter select point" );

  autend();
}
