/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                            |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <string.h>
# include <Xm/Xm.h>
# include <Xm/Text.h>
# include <Xm/FileSB.h>
# include <Xm/SelectioB.h>
# include <Xm/PushBG.h>

# include MUT_H
# include AUT_H
# include VEX_H
# include VPN_H
# include XSB_H
# include XVP_H
# include XTB_H
# include XMS_H

# include "XMS_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Panel                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    Panel Informations                       |
|                                                             |
\------------------------------------------------------------*/

   static char *XvpnPanelInformationsButtonName[] =

   {
     "Text",
     "Close"
   };

 XvpnPanelButtonItem XvpnSetupInformationsButton[] =

         {
           {
             &XvpnPanelInformationsButtonName[0],
             "Nothing", NULL, 0, 0,
             NULL,
             NULL,
              0, 0,
              8, 9,
             NULL,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           {
             &XvpnPanelInformationsButtonName[1],
             NULL, NULL, 0, 0,
             NULL,
             NULL,
             3, 9,
             2, 1,
             XvpnExitDialogCallback,
             (XtPointer)NULL,
             (Widget)NULL
           }
           ,
           { NULL }
         };

   XvpnPanelItem XvpnSetupInformationsPanel =

         {
           "Informations",
           1,
           0,
           XVPN_SETUP_INFORMATIONS_X,
           XVPN_SETUP_INFORMATIONS_Y,
           360,
           250,
           8,
           10,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           (Widget)NULL,
           XvpnSetupInformationsButton
         };

   int XvpnSetupInformationsDefaultValues[ 5 ] =

         {
           XVPN_SETUP_INFORMATIONS_X,
           XVPN_SETUP_INFORMATIONS_Y,
           360, 250, 0
         };

/*------------------------------------------------------------\
|                                                             |
|                Callback For Informations                    |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                   XvpnDisplayInformations                  |
|                                                             |
\------------------------------------------------------------*/

void XvpnDisplayInformations()

{
  char *Message;

  autbegin();

  Message = XvpnGetInformations();

  XmTextSetString( XvpnSetupInformationsButton[0].BUTTON, Message );

  XvpnEnterPanel( &XvpnSetupInformationsPanel );

  XvpnLimitedLoop( XvpnSetupInformationsPanel.PANEL );

  XvpnExitPanel( &XvpnSetupInformationsPanel );

  autend();
}
