/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                            |
|                                                             |
| File    :                  Message.c                        |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushBG.h>
# include <Xm/CascadeBG.h>
 
# include MUT_H
# include AUT_H
# include XSB_H
# include XMX_H
# include XTB_H
# include XMV_H
# include "XMV_message.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       XvpnPromptZoomIn                     |
|                                                             |
\------------------------------------------------------------*/

void XvpnPromptZoomIn()

{
  autbegin();

  XvpnDisplayMessage( XVPN_MESSAGE_MODE, "Zoom In" );
  XvpnDisplayMessage( XVPN_MESSAGE_INFO, "Select window" );

  switch ( XvpnCountEventZoom )
  {
    case 0 : 

      XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter first corner" );

    break;

    case 1 :

      XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter second corner" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                       XvpnPromptZoomPan                    |
|                                                             |
\------------------------------------------------------------*/

void XvpnPromptZoomPan()

{
  autbegin();

  XvpnDisplayMessage( XVPN_MESSAGE_MODE, "Zoom Pan" );
  XvpnDisplayMessage( XVPN_MESSAGE_INFO, "Select line"  );

  switch ( XvpnCountEventZoom )
  {
    case 0 : 

      XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter source point" );

    break;

    case 1 : 

      XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter target point" );
  }

  autend();
}

/*------------------------------------------------------------\
|                                                             |
|                    XvpnPromptZoomCenter                    |
|                                                             |
\------------------------------------------------------------*/

void XvpnPromptZoomCenter()

{
  autbegin();

  XvpnDisplayMessage( XVPN_MESSAGE_MODE, "Zoom Center" );
  XvpnDisplayMessage( XVPN_MESSAGE_INFO, "Select point" );
  XvpnDisplayMessage( XVPN_MESSAGE_PROMPT, "Enter center point" );

  autend();
}

