/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                           |
|                                                             |
| File    :                   View.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_VIEW
# define XVPN_VIEW

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_PERCENT_ZOOM      30
# define XVPN_PERCENT_ZOOM_MIN   5
# define XVPN_PERCENT_ZOOM_MAX  95

# define XVPN_PERCENT_MOVE      30
# define XVPN_PERCENT_MOVE_MIN   5
# define XVPN_PERCENT_MOVE_MAX  95

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

  typedef struct xvpnzoom
   {
     struct xvpnzoom *NEXT;

     long              X;
     long              Y;
     long             DX;
     long             DY;

   } xvpnzoom;

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern int            XvpnPercentZoom;
  extern int            XvpnPercentMove;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

# endif 
