/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XVPN                           |
|                                                             |
| File    :                   Panel.c                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include <stdio.h>
# include <Xm/Xm.h>
# include <Xm/PushB.h>
# include <Xm/Form.h>
# include <Xm/Frame.h>
 
# include MUT_H
# include AUT_H
# include XSB_H
# include XTB_H
# include XMF_H
# include XME_H
# include XMV_H
# include XMT_H
# include XMS_H
# include XMH_H
# include XMX_H

# include "XMX_panel.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                     XvpnInitializePanel                     |
|                                                             |
\------------------------------------------------------------*/

void XvpnInitializePanel()

{
  autbegin();

  XvpnBuildPanel( XvpnMainWindow, &XvpnViewArrowsPanel        );
  XvpnBuildPanel( XvpnMainWindow, &XvpnViewZoomPanel          );
  XvpnBuildPanel( XvpnMainWindow, &XvpnViewGridPanel          );
  XvpnBuildPanel( XvpnMainWindow, &XvpnViewLayerPanel         );
  XvpnBuildPanel( XvpnMainWindow, &XvpnEditSearchViewPanel    );
  XvpnBuildPanel( XvpnMainWindow, &XvpnEditSelectPanel        );
  XvpnBuildPanel( XvpnMainWindow, &XvpnEditIdentifyPanel      );
  XvpnBuildPanel( XvpnMainWindow, &XvpnEditDescriptionPanel   );
  XvpnBuildPanel( XvpnMainWindow, &XvpnToolsMessagePanel      );
  XvpnBuildPanel( XvpnMainWindow, &XvpnSetupInformationsPanel );

  XvpnBuildPresentPanel();

  autend();
}
