/*------------------------------------------------------------\
|                                                             |
| Tool    :                   DREAL                           |
|                                                             |
| File    :                  Dialog.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef DREAL_FILE_DIALOG
# define DREAL_FILE_DIALOG

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern DrealDialogItem DrealFileOpenDialog;
  extern DrealDialogItem DrealFileQuitDialog;
  extern DrealDialogItem DrealFileSaveAsDialog;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackFileQuitOk();
  extern void CallbackFileQuitCancel();
  extern void CallbackFileOpenOk();
  extern void CallbackFileOpenCancel();
  extern void CallbackFileSaveAsOk();
  extern void CallbackFileSaveAsCancel();

# endif 
