/*
 * $Author: ac $
 * $Id: fpm_main.c,v 1.3 1999/10/21 12:52:05 ac Exp $
 * $Date: 1999/10/21 12:52:05 $
 */
/*
 * $Log: fpm_main.c,v $
 * Revision 1.3  1999/10/21 12:52:05  ac
 * Nouvelle version avec les librairies bdd104, abe, abv, abt.
 * Ajout de fpm_network pour accelerer l'optimisation.
 *
 * Revision 1.2  1999/05/18 15:39:01  ac
 * Bug fix in the xnf driver.
 *
 * Revision 1.1.1.1  1998/10/21 16:32:41  alliance
 * fpmap import
 *
 * Revision 1.4  1998/02/11 17:34:36  ac
 * fpmap version 0.62
 *
 * Revision 1.3  1998/01/26 15:29:10  ac
 * Bug fix in the mapping function.
 *
 * Revision 1.2  1998/01/06 11:56:42  ac
 * Added .lax parameter file support.
 *
 * Revision 1.1  1997/11/14 11:49:46  ac
 * Initial revision
 *
 */

/*----------------------------------------------------------------------*/
/*                               Includes                               */
/*----------------------------------------------------------------------*/

#include  MUT_H
#include  BFL_H
#include  AUT_H
#include  ABL_H
#include  BDD_H
#include  ABE_H
#include "fpm_network.h"
#include "fpm_user.h"
#include "fpm_init.h"
#include "fpm_load.h"
#include "fpm_optim.h"
#include "fpm_mapp.h"
#include "fpm_save.h"
#include "fpm_stat.h"

/*----------------------------------------------------------------------*/
/*                        Constant declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Type declarations                           */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Stucture declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                        Variable declarations                         */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                          Macro declarations                          */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                      Static function prototypes                      */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                    Definition of static functions                    */
/*----------------------------------------------------------------------*/

/*----------------------------------------------------------------------*/
/*                   Definition of exported functions                   */
/*----------------------------------------------------------------------*/

int
main(int Argc, char **Argv)
{
	bflenv(Argv[0]);
	mbkenv();
	autenv();
	ablenv();

	alliancebanner("FpMap", "1.01", "Fpga Mapper", "1997", ALLIANCE_VERSION);

	fpm_init(Argc, Argv);
	fpm_load();
	fpm_optim();
	fpm_mapp();
	fpm_save();
	fpm_stat();

	return 0;
}
