/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Create.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_GMC
# define GRAAL_GMC

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern GraalMenuItem  GraalCreateMenu[];
  extern GraalPanelItem GraalCreateSegmentPanel;
  extern GraalPanelItem GraalCreateViaPanel;
  extern GraalPanelItem GraalCreateTransistorPanel;
  extern GraalPanelItem GraalCreateConnectorPanel;
  extern GraalPanelItem GraalCreateReferencePanel;
  extern GraalPanelItem GraalCreateInstancePanel;

  extern int GraalCreateSegmentDefaultValues[ 5 ];
  extern int GraalCreateViaDefaultValues[ 5 ];
  extern int GraalCreateTransistorDefaultValues[ 5 ];
  extern int GraalCreateConnectorDefaultValues[ 5 ];
  extern int GraalCreateReferenceDefaultValues[ 5 ];
  extern int GraalCreateInstanceDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalBuildPanelCreate();
  extern void GraalBuildCreateDialog();
  extern void GraalCreateSegmentMbk();
  extern void GraalCreateViaMbk();
  extern void GraalCreateTransistorMbk();
  extern void GraalCreateConnectorMbk();
  extern void GraalCreateReferenceMbk();
  extern void GraalCreateInstanceMbk();
  extern void GraalCreateAbutmentBoxMbk();

  extern void GraalChangeSegmentLayer();
  extern void GraalChangeViaType();
  extern void GraalChangeTransistorType();
  extern void GraalChangeConnectorLayer();
  extern void GraalChangeReferenceType();

# endif

