/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Dialog.h                         |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_CREATE_DIALOG
# define GRAAL_CREATE_DIALOG

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char            GraalCreateDialogCancel;

  extern GraalDialogItem GraalChangeSegmentWidthDialog;
  extern GraalDialogItem GraalChangeSegmentNameDialog;
  extern GraalDialogItem GraalChangeTransistorWidthDialog;
  extern GraalDialogItem GraalChangeTransistorNameDialog;
  extern GraalDialogItem GraalChangeConnectorWidthDialog;
  extern GraalDialogItem GraalChangeConnectorNameDialog;
  extern GraalDialogItem GraalChangeReferenceNameDialog;
  extern GraalDialogItem GraalChangeInstanceNameDialog;
  extern GraalDialogItem GraalChangeInstanceModelDialog;

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackChangeSegmentWidthOk();
  extern void CallbackChangeSegmentWidthCancel();
  extern void CallbackChangeSegmentNameOk();
  extern void CallbackChangeSegmentNameCancel();

  extern void CallbackChangeTransistorWidthOk();
  extern void CallbackChangeTransistorWidthCancel();
  extern void CallbackChangeTransistorNameOk();
  extern void CallbackChangeTransistorNameCancel();

  extern void CallbackChangeConnectorWidthOk();
  extern void CallbackChangeConnectorWidthCancel();
  extern void CallbackChangeConnectorNameOk();
  extern void CallbackChangeConnectorNameCancel();

  extern void CallbackChangeReferenceNameOk();
  extern void CallbackChangeReferenceNameCancel();

  extern void CallbackChangeInstanceNameOk();
  extern void CallbackChangeInstanceNameCancel();
  extern void CallbackChangeInstanceModelOk();
  extern void CallbackChangeInstanceModelCancel();

  extern void GraalEnterChangeInstanceModelDialog();

# endif 
