/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_SETUP
# define GRAAL_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define GRAAL_TOPLEVEL_TRANSLATE_X        0
# define GRAAL_TOPLEVEL_TRANSLATE_Y        0
# define GRAAL_PANEL_TRANSLATE_X           0
# define GRAAL_PANEL_TRANSLATE_Y           0

# define GRAAL_TOPLEVEL_X                10
# define GRAAL_TOPLEVEL_Y                10
# define GRAAL_TOPLEVEL_WIDTH          1024
# define GRAAL_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalDefaultConfig();
  extern void GraalSaveConfig();
  extern void GraalLoadConfig();

# endif 
