/*------------------------------------------------------------\
|                                                             |
| Tool    :                   GRAAL                           |
|                                                             |
| File    :                  Tools.h                          |
|                                                             |
| Author  :                Jacomme Ludovic                    |
|                                                             |
| Date    :                  28.03.95                         |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef GRAAL_TOOLS
# define GRAAL_TOOLS

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

   typedef struct graalhierarchy
   {
     struct graalhierarchy  *NEXT;
     char                   *NAME;
     long                    X;
     long                    Y;
     long                    DX;
     long                    DY;

   } graalhierarchy;

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char GraalToolsFilter[ 10 ];
  extern char GraalToolsExtention[ 10 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void GraalToolsUnpeek();
  extern void GraalToolsDelAllHierarchy();
  extern void GraalToolsHierarchyUp();
  extern void GraalToolsHierarchyReload();
  extern void GraalToolsLoadError();

# endif 
