/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*******************************************************************************
* Declarations                                                                 *
*******************************************************************************/
char *grog(/* name, nb, nw, codefile, tr, hz, layout, netlist, vhdl,
                    outline, datasheet */);
void grogdata(/* name, nb, nw, hz, tr, data */);
void groglayout(/* name, nb, nw, tr, hz, data, save */);
void grognetlist(/* name, nw, nb, hz */);
void grogoutline();
void grogpat(/* s, nb, nw, hz, data */);
void grogvhdl(/* s, nb, nw, hz, data */);
void grogcode(/* s, nw, nb, data */);
void grogicon(/* name, nb, nw, hz, r, msb */);
void randata();
char *long_bin();
char *long_hex();
char *biglong_bin();
char *biglong_hex();
long ln2p(/* n */);
/* nice :
   we should be able to read up to 64 bits.
   Tough for a 32 bits machine without cheating. */
typedef struct blong {long high, low;} biglong;

