
/*************************************************************
*                  HEADERS                                   *
*                                                            *
* Changed by:    Greg                                        *
* Date:          05/07/95                                    *
* New file:      -                                           *
* Comments:                                                  *
*   Fonctions permettant d'ajouter un nouveau reseau dans    *
*   la figure logique existante.                             *
*                                                            *
*                                                            *
*************************************************************/

void GrgFatalError __P((int));
int IsRdsRealVia __P((rdsrec_list*));
void generate_RCN __P((lofig_list*));

/************************************************************
Codes de sortie en cas d'erreur:
Le nom de fichier entre parenthese indique l'origine
probable de l'erreur.
  10: Il existe deja un reseau RC dans la figure.
  22: Un signal logique n'est relie a aucune equipotentielle
      physique (netlist.c: LynxBuildLogicalSignal() );
  23: Un connecteur physique n'est pas relie a un connecteur
      logique (netlist.c: LynxBuildLogicalSignal());
  24: Un connecteur physique n'est pas relie a un connecteur
      logique (netlist.c: LynxBuildLogicalInstance());
  25: Un connecteur physique n'est pas relie a un connecteur
      logique (netlist.c: LynxBuildLogicalTransistor());
  26: Un connecteur logique n'est pas relie a un connecteur
      physique (addlynx.c);
  28: Une structure GrgPhVia possede un de ces trois champs
      NULL (addlynx.c).
  29: Un rectangle n'appartient a aucune des deux structures
      GrgGroup1 ou GrgGroup2 alors qu'il DOIT l'etre
  30: Type d'intersection entre deux rectangles non prevu
      (Intersect).  

************************************************************/

#define min(a,b) ((a>b)?b:a)
#define max(a,b) ((a>b)?a:b)
