
/* ###--------------------------------------------------------------### */
/*									*/
/* file		: pat_warning.c						*/
/* date		: Aug 16 1993						*/
/* version	: v104							*/
/* author	: Pirouz BAZARGAN SABET					*/
/* content	: system level functions				*/
/*									*/
/* ###--------------------------------------------------------------### */

#include <stdio.h>

/* ###--------------------------------------------------------------### */
/* function	: pat_warning						*/
/* description	: print a warning message depending on the arg. `code`	*/
/* called func.	: none							*/
/* ###--------------------------------------------------------------### */

int pat_warning (code, str, dat, line)

int           code;
char         *str ;
char          dat ;
unsigned int  line;

  {
  int         flag = 1;

  if (code > 100)
    fprintf (stderr,"PAT : Warning %d line %d : ", code, line);
  else
    {
    fprintf (stderr,"PAT : Warning %d : ", code);
    }

  switch (code)
    {
    case 1:
      fprintf (stderr,"switching to new file (%s) ?!\n", str);
      break;

    case 101:
      fprintf (stderr,"first date field is empty => old pat format is assumed\n", str);
      break;

    default :
      fprintf (stderr,"Warning\n");
      break;
    }

  return (flag);
  }
