/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <genlib.h>

main()
{
int i;

i = genvst(74,8,1);
}

int genvst(n,l,c)
int n;
int l;
int c;
{
 int i;

 DEF_LOFIG(NAME("mem_%d_%d",l,c));
 LOCON(NAME("adr[%d:0]",l+c-1),'I',NAME("ad[%d:0]",l+c-1));
 LOCON(NAME("sout[%d:0]",n-1),'O',NAME("sor[%d:0]",n-1));
 LOCON("ck",'I',"clk");
 LOCON("write",'I',"ecr");
 LOCON("vdd",'X',"VDD");
 LOCON("vss",'X',"VSS");

 LOINS("deco","decoder",NAME("ad[%d:0]",l+c-1),NAME("wln[%d:0]",puiss(l)-1),NAME("selm[%d:0]",puiss(c)-1),"ecr","ecr2","lect","clk","VDD","VSS",0);

 for(i=0;i<n;i++)
 {
  LOINS("rbit",NAME("bit_%d",i),NAME("wln[%d:0]",puiss(l)-1),NAME("selm[%d:0]",puiss(c)-1),"lect","ecr2",NAME("sor[%d]",i),"VDD","VSS",0);
 }

 SAVE_LOFIG();
}

int puiss(i)
int i;
{
 if(i==0) return(1);
 else return(2*puiss(i-1));
}

