/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Aut                           |
|                                                             |
| File    :                 Aut Errors                        |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef AUT_ERROR_H
# define AUT_ERROR_H

#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define AUT_ALLOC_ERROR             0
# define AUT_ALLOC_SIZE_ERROR        1
# define AUT_RESIZE_ERROR            2
# define AUT_HASH_SIZE_ERROR         3
# define AUT_HASH_KEY_ERROR          4
# define AUT_OPEN_FILE_ERROR         5
# define AUT_CLOSE_FILE_ERROR        6

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Macros                           |
|                                                             |
\------------------------------------------------------------*/

# define auterror( E, V ) (aut_error( (int)(E), (char *)(V), __FILE__, __LINE__ ))

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern  void  aut_error __P((int Error, char *Text, char *File, long Line));

# endif
