#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif
/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Aut                           |
|                                                             |
| File    :                   authash2.h                      |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/

# ifndef AUT_HASH2_H
# define AUT_HASH2_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define HASH2_STRETCH_FACTOR  150
# define HASH2_MAX_SCAN         15

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define check_auth2key( K1, K2 )                             \
                                                              \
   do { if ( ( (K1) == AUT_HASH_KEY_EMPTY   ) ||              \
             ( (K1) == AUT_HASH_KEY_DELETED ) )               \
        {                                                     \
          auterror( AUT_HASH_KEY_ERROR, (K1) );               \
        }                                                     \
                                                              \
        if ( ( (K2) == AUT_HASH_KEY_EMPTY   ) ||              \
             ( (K2) == AUT_HASH_KEY_DELETED ) )               \
        {                                                     \
          auterror( AUT_HASH_KEY_ERROR, (K2) );               \
                                                              \
        } } while (0)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

# endif
