#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif
/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Bdd                           |
|                                                             |
| File    :                   bddhnode.h                      |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/

# ifndef BDD_HNODE_H
# define BDD_HNODE_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define HNODE_STRETCH_FACTOR     150
# define HNODE_RESIZE_FACTOR      175
# define HNODE_MIN_FILL_FACTOR     20
# define HNODE_MAX_SCAN            30

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define check_bddhnode( N )                                  \
                                                              \
   do { if ( ( (N) == BDD_HASH_NODE_EMPTY   ) ||              \
             ( (N) == BDD_HASH_NODE_DELETED ) )               \
        {                                                     \
          bdderror( BDD_HNODE_KEY_ERROR, (N) );               \
                                                              \
        } } while (0)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern           void  resizebddhnodetable __P((bddhnodetable *HashTable));

# endif
