/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Bdd                           |
|                                                             |
| File    :                   bddsweep.c                      |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Author  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H

# include <stdio.h>
# include "bddsweep.h"
# include "bdderror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Bdd Sweep System                      |
|                                                             |
\------------------------------------------------------------*/

void sweepbddsystem( BddSystem )

  bddsystem *BddSystem;
{
  bddvar         NumberVar;
  bddvar         Variable;

  setbddlocalsystem( BddSystem );

  resetbddhopertable( BddLocalSystem->HASH_OPER );

  NumberVar = BddLocalSystem->NUMBER_VAR;

  for ( Variable = 0; Variable < NumberVar; Variable++ )
  {
    sweepbddvar( (bddsystem *)0, Variable, 1 );
  }
}
