/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Btr                           |
|                                                             |
| File    :                   btralloc.c                      |
|                                                             |
| Date    :                   03.12.96                        |
|                                                             |
| Btrhor  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include ABL_H
# include BDD_H
# include BTR_H

# include <stdio.h>
# include "btralloc.h"
# include "btrerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                    Btr Alloc Function Transition            |
|                                                             |
\------------------------------------------------------------*/

btrtransfunc *allocbtrtransfunc()
{
  return( (btrtransfunc *)autallocblock( sizeof( btrtransfunc ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Bdd Alloc Variable Function           |
|                                                             |
\------------------------------------------------------------*/

btrvarfunc *allocbtrvarfunc( Number )

  long Number;
{
  return( (btrvarfunc *)autallocblock( sizeof( btrvarfunc ) * Number ) );
}

/*------------------------------------------------------------\
|                                                             |
|                    Btr Alloc Function Transition            |
|                                                             |
\------------------------------------------------------------*/

btrvarorder *allocbtrvarorder( Number )

  long Number;
{
  return( (btrvarorder *)autallocblock( sizeof( btrvarorder ) * Number ) );
}

/*------------------------------------------------------------\
|                                                             |
|                    Btr Alloc Relation Transition            |
|                                                             |
\------------------------------------------------------------*/

btrtransrel *allocbtrtransrel()
{
  return( (btrtransrel *)autallocblock( sizeof( btrtransrel ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Bdd Alloc Variable Relation           |
|                                                             |
\------------------------------------------------------------*/

btrvarrel *allocbtrvarrel( Number )

  long Number;
{
  return( (btrvarrel *)autallocblock( sizeof( btrvarrel ) * Number ) );
}
