#ifndef __P
# if defined(__STDC__) ||  defined(__GNUC__)
#  define __P(x) x
# else
#  define __P(x) ()
# endif
#endif
/*------------------------------------------------------------\
|                                                             |
| Tool    :                     FSM                           |
|                                                             |
| File    :                  fkserror.c                       |
|                                                             |
| Author  :                 Jacomme Ludovic                   |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef FKS_ERROR_H
# define FKS_ERROR_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define KISS_ERROR_OPEN_FILE   0
# define KISS_ERROR_PARSE       1
# define KISS_ERROR_END         2
# define KISS_ERROR_VALUE       3
# define KISS_ERROR_NAME        4
# define KISS_ERROR_PORT        5
# define KISS_ERROR_STATE       6
# define KISS_ERROR_FSM_STACK   7

# define KISS_MAX_ERROR         8

/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/

# define fkserror( E, V ) (fks_error( (int)(E), (char *)(V), __FILE__, __LINE__ ))

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern           void  fks_error __P((char Error, char *Text, char *File, long Line));

# endif
