/*------------------------------------------------------------\
|                                                             |
| Tool    :                     VASY                           |
|                                                             |
| File    :                 vasy_vexbdd.h                      |
|                                                             |
| Authors :                Jacomme Ludovic                    |
|                                                             |
| Date    :                   25.08.97                        |
|                                                             |
\------------------------------------------------------------*/

# ifndef VASY_VEXBDD_H
# define VASY_VEXBDD_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Macro                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern bddnode    *VasyVexBddAddBddCircuitInput();
  extern bddnode    *VasyVexBddDelBddCircuitInput();
  extern int         VasyVexBddDelBddCircuitOutput();

  extern bddnode    *VasyVexBddSearchBddCircuitInput();
  extern bddnode    *VasyVexBddSearchBddCircuitStable();
  extern bddcircuit *VasyVexBddCreateBddCircuit();
  extern void        VasyVexBddDestroyBddCircuit();

  extern bddnode    *VasyVexBddConvertVex2Bdd();
  extern long        VasyVexBddConvertVex2BddSize();
  extern vexexpr    *VasyVexBddConvertBdd2Vex();

  extern chain_list *VasyVexBddSupportVpnSymbol();


# endif
