# include <stdio.h>
# include <stdlib.h>
# include <malloc.h>

# include MUT_H
# include AUT_H
# include VEX_H

int main( argc, argv )

  int    argc;
  char **argv;
{
  long     Integer;
  long     Value;
  vexexpr *Vex;
  vexexpr *Atom;
  int      Width = 8;

  mbkenv();
  autenv();
  vexenv();

  if ( argc > 1 ) Width = atoi( argv[ 1 ] );

fprintf( stdout, "Width %d\n", Width );

fprintf( stdout, "width 0, signed 0\n" );
  for ( Integer = -10; Integer < 10; Integer++ )
  {
    Vex = createvexatomlong( Integer, 0, 0 );
    fprintf( stdout, "%ld -> ", Integer );
    viewvexexprbound( Vex );

    if ( evalvexatomlong( Vex, &Value ) )
      fprintf( stdout, "<- %ld\n", Value );
    else
      fprintf( stdout, "<- ERROR\n" );

    Vex = extendvexatomsign( Vex, Width );
    if ( Vex != (vexexpr *)0 )
    {
      viewvexexprbound( Vex );
      fprintf( stdout, "\n" );
    }
    else
      fprintf( stdout, "<- ERROR\n" );
  }

fprintf( stdout, "width 0, signed 1\n" );
  for ( Integer = -10; Integer < 10; Integer++ )
  {
    Vex = createvexatomlong( Integer, 0, 1 );
    fprintf( stdout, "%ld -> ", Integer );
    viewvexexprbound( Vex );
    if ( evalvexatomlong( Vex, &Value ) != -1 )
      fprintf( stdout, "<- %ld\n", Value );
    else
      fprintf( stdout, "<- ERROR\n" );

    Vex = extendvexatomsign( Vex, Width );
    if ( Vex != (vexexpr *)0 )
    {
      viewvexexprbound( Vex );
      fprintf( stdout, "\n" );
    }
    else
      fprintf( stdout, "<- ERROR\n" );
  }

fprintf( stdout, "width 6, signed 0\n" );
  for ( Integer = -10; Integer < 10; Integer++ )
  {
    Vex = createvexatomlong( Integer, 6, 0 );
    fprintf( stdout, "%ld -> ", Integer );
    viewvexexprbound( Vex );
    if ( evalvexatomlong( Vex, &Value ) != -1 )
      fprintf( stdout, "<- %ld\n", Value );
    else
      fprintf( stdout, "<- ERROR\n" );

    Vex = extendvexatomsign( Vex, Width );
    if ( Vex != (vexexpr *)0 )
    {
      viewvexexprbound( Vex );
      fprintf( stdout, "\n" );
    }
    else
      fprintf( stdout, "<- ERROR\n" );
  }

fprintf( stdout, "width 6, signed 1\n" );
  for ( Integer = -10; Integer < 10; Integer++ )
  {
    Vex = createvexatomlong( Integer, 6, 1 );
    fprintf( stdout, "%ld -> ", Integer );
    viewvexexprbound( Vex );
    if ( evalvexatomlong( Vex, &Value ) != -1 )
      fprintf( stdout, "<- %ld\n", Value );
    else
      fprintf( stdout, "<- ERROR\n" );

    Vex = extendvexatomsign( Vex, Width );
    if ( Vex != (vexexpr *)0 )
    {
      viewvexexprbound( Vex );
      fprintf( stdout, "\n" );
    }
    else
      fprintf( stdout, "<- ERROR\n" );
  }

  Atom = createvexatomvec( "v", 3, 0 );
  viewvexexprbound( Atom );
  fprintf( stdout, "\n ici " );
  Vex = extendvexatomsign( Atom, 5 );
  viewvexexprbound( Vex );
  fprintf( stdout, "\n" );

  Atom = createvexatomvec( "v", 3, 0 );
  SetVexNodeSigned( Atom );
  viewvexexprbound( Atom );
  fprintf( stdout, "\n" );
  Vex = extendvexatomsign( Atom, 5 );
  viewvexexprbound( Vex );
  fprintf( stdout, "\n" );

  return( 1 );
}
