/*------------------------------------------------------------\
|                                                             |
| Tool    :                     Vpn                           |
|                                                             |
| File    :                   vpnalloc.c                      |
|                                                             |
| Date    :                   04.07.96                        |
|                                                             |
| Vpnhor  :               Jacomme Ludovic                     |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# include MUT_H
# include AUT_H
# include VEX_H
# include VPN_H

# include <stdio.h>
# include "vpnalloc.h"
# include "vpnerror.h"

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Figure                      |
|                                                             |
\------------------------------------------------------------*/

vpnfig_list *allocvpnfig()
{
  return( (vpnfig_list *)autallocblock( sizeof( vpnfig_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Process                     |
|                                                             |
\------------------------------------------------------------*/

vpnproc_list *allocvpnproc()
{
  return( (vpnproc_list *)autallocheap( sizeof( vpnproc_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Function                    |
|                                                             |
\------------------------------------------------------------*/

vpnfunc_list *allocvpnfunc()
{
  return( (vpnfunc_list *)autallocheap( sizeof( vpnfunc_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Trans                       |
|                                                             |
\------------------------------------------------------------*/

vpntrans_list *allocvpntrans()
{
  return( (vpntrans_list *)autallocheap( sizeof( vpntrans_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Place                       |
|                                                             |
\------------------------------------------------------------*/

vpnplace_list *allocvpnplace()
{
  return( (vpnplace_list *)autallocheap( sizeof( vpnplace_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Arc                         |
|                                                             |
\------------------------------------------------------------*/

vpnarc *allocvpnarc()
{
  return( (vpnarc *)autallocheap( sizeof( vpnarc ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Symbol                      |
|                                                             |
\------------------------------------------------------------*/

vpnsym *allocvpnsym( Width )

  unsigned int Width;
{
  return( (vpnsym *)autallocblock( sizeof( vpnsym ) * Width ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Declaration                 |
|                                                             |
\------------------------------------------------------------*/

vpndecl_list *allocvpndecl()
{
  return( (vpndecl_list *)autallocheap( sizeof( vpndecl_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Action                      |
|                                                             |
\------------------------------------------------------------*/

vpnact_list *allocvpnact()
{
  return( (vpnact_list *)autallocheap( sizeof( vpnact_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Attribute                   |
|                                                             |
\------------------------------------------------------------*/

vpnattr_list *allocvpnattr()
{
  return( (vpnattr_list *)autallocheap( sizeof( vpnattr_list ) ) );
}

/*------------------------------------------------------------\
|                                                             |
|                       Vpn Alloc Line                        |
|                                                             |
\------------------------------------------------------------*/

vpnline_list *allocvpnline()
{
  return( (vpnline_list *)autallocheap( sizeof( vpnline_list ) ) );
}
