/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XSCH                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XSCH_SETUP
# define XSCH_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XSCH_TOPLEVEL_TRANSLATE_X        8
# define XSCH_TOPLEVEL_TRANSLATE_Y       25
# define XSCH_PANEL_TRANSLATE_X           0
# define XSCH_PANEL_TRANSLATE_Y           0

# define XSCH_TOPLEVEL_X                50
# define XSCH_TOPLEVEL_Y                50
# define XSCH_TOPLEVEL_WIDTH          1024
# define XSCH_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XschDefaultConfig();
  extern void XschSaveConfig();
  extern void XschLoadConfig();

# endif 
