/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XSCH                           |
|                                                             |
| File    :                    XMV.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   01.06.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XSCH_XMV
# define XSCH_XMV 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern char XschFirstViewLayer;

/*------------------------------------------------------------\
|                                                             |
|                        Panel And Menu                       |
|                                                             |
\------------------------------------------------------------*/

  extern XschMenuItem  XschViewMenu[];
  extern XschPanelItem XschViewArrowsPanel;
  extern XschPanelItem XschViewZoomPanel;
  extern XschPanelItem XschViewGridPanel;
  extern XschPanelItem XschViewLayerPanel;
  extern XschPanelItem XschViewMapPanel;
 
  extern int  XschPercentZoom;
  extern int  XschPercentMoveX;
  extern int  XschPercentMoveY;

  extern int  XschViewArrowsDefaultValues[5];
  extern int  XschViewZoomDefaultValues[5];
  extern int  XschViewLayerDefaultValues[5];
  extern int  XschViewGridDefaultValues[5];
  extern int  XschViewMapDefaultValues[5];
  
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Values                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Callback                           |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Zoom                             |
|                                                             |
\------------------------------------------------------------*/

  extern void XschComputeAndDisplayMap();
  extern void XschInitializeZoom();
  extern void XschBuildViewDialog();
  extern void XschBuildPanelMap();
  extern void XschInitializeMapEvent();

  extern void XschZoomCenter();
  extern void XschZoomRefresh();
  extern void XschZoomIn();
  extern void XschZoomPan();

  extern void XschPromptZoomIn();
  extern void XschPromptZoomPan();
  extern void XschPromptZoomCenter();

  extern void XschInitializeLayer();

# endif
