/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                            |
|                                                             |
| File    :                   XME.h                           |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_XME
# define XVPN_XME 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern XvpnMenuItem  XvpnEditMenu[];

  extern XvpnPanelItem XvpnEditSearchViewPanel;
  extern XvpnPanelItem XvpnEditSelectPanel;
  extern XvpnPanelItem XvpnEditIdentifyPanel;
  extern XvpnPanelItem XvpnEditDescriptionPanel;

  extern int XvpnEditSearchViewDefaultValues[ 5 ];
  extern int XvpnEditIdentifyDefaultValues[ 5 ];
  extern int XvpnEditDescriptionDefaultValues[ 5 ];
  extern int XvpnEditSelectDefaultValues[ 5 ];

/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XvpnBuildEditDialog();

  extern void XvpnEditSearch();
  extern void XvpnEditIdentify();
  extern void XvpnEditConnected();
  extern void XvpnEditUnselectAll();

  extern void XvpnDisplayEditIdentify();
  extern void XvpnDisplayEditDescription();

# endif
