/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XVPN                           |
|                                                             |
| File    :                   Panel.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_EDIT_PANEL
# define XVPN_EDIT_PANEL

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_EDIT_VIEW_SEARCH_X      790
# define XVPN_EDIT_VIEW_SEARCH_Y      450

# define XVPN_EDIT_IDENTIFY_X         250
# define XVPN_EDIT_IDENTIFY_Y         280

# define XVPN_EDIT_DESCRIPTION_X      330
# define XVPN_EDIT_DESCRIPTION_Y      280

# define XVPN_EDIT_SELECT_X           330
# define XVPN_EDIT_SELECT_Y           280

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void CallbackEditSearchViewContinue();
  extern void CallbackEditSearchViewAbort();

  extern void CallbackEditCloseIdentify();
  extern void CallbackEditCloseDescription();

  extern void CallbackEditSelectList();
  extern void CallbackEditSelectAccept();
  extern void CallbackEditSelectCancel();

  extern void XvpnDisplaySelectList();

# endif 
