/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                           |
|                                                             |
| File    :                  Setup.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_SETUP
# define XVPN_SETUP

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_TOPLEVEL_TRANSLATE_X        8
# define XVPN_TOPLEVEL_TRANSLATE_Y       25
# define XVPN_PANEL_TRANSLATE_X           0
# define XVPN_PANEL_TRANSLATE_Y           0

# define XVPN_TOPLEVEL_X                10
# define XVPN_TOPLEVEL_Y                10
# define XVPN_TOPLEVEL_WIDTH          1024
# define XVPN_TOPLEVEL_HEIGHT          768

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

  extern void XvpnDefaultConfig();
  extern void XvpnSaveConfig();
  extern void XvpnLoadConfig();

# endif 
