/*------------------------------------------------------------\
|                                                             |
| Tool    :                   XVPN                           |
|                                                             |
| File    :                    XMV.h                          |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVPN_XMV
# define XVPN_XMV 

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/

  extern short XvpnFirstViewLayer;

/*------------------------------------------------------------\
|                                                             |
|                        Panel And Menu                       |
|                                                             |
\------------------------------------------------------------*/

  extern XvpnMenuItem  XvpnViewMenu[];
  extern XvpnPanelItem XvpnViewArrowsPanel;
  extern XvpnPanelItem XvpnViewZoomPanel;
  extern XvpnPanelItem XvpnViewGridPanel;
  extern XvpnPanelItem XvpnViewLayerPanel;
  extern XvpnPanelItem XvpnViewMapPanel;
 
  extern int  XvpnPercentZoom;
  extern int  XvpnPercentMoveX;
  extern int  XvpnPercentMoveY;

  extern int  XvpnViewArrowsDefaultValues[5];
  extern int  XvpnViewZoomDefaultValues[5];
  extern int  XvpnViewLayerDefaultValues[5];
  extern int  XvpnViewGridDefaultValues[5];
  extern int  XvpnViewMapDefaultValues[5];
  
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                           Values                            |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Callback                           |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                            Zoom                             |
|                                                             |
\------------------------------------------------------------*/

  extern void XvpnComputeAndDisplayMap();
  extern void XvpnInitializeZoom();
  extern void XvpnBuildViewDialog();
  extern void XvpnBuildPanelMap();
  extern void XvpnInitializeMapEvent();

  extern void XvpnZoomCenter();
  extern void XvpnZoomFit();
  extern void XvpnZoomIn();
  extern void XvpnZoomPan();
  extern void XvpnZoomUp();
  extern void XvpnZoomDown();
  extern void XvpnZoomLeft();
  extern void XvpnZoomRight();
  extern void XvpnZoomMore();
  extern void XvpnZoomLess();
  extern void XvpnZoomFit();
  extern void XvpnZoomRefresh();
  extern void XvpnZoomUndo();

  extern void XvpnPromptZoomIn();
  extern void XvpnPromptZoomPan();
  extern void XvpnPromptZoomCenter();

  extern void XvpnInitializeLayer();

# endif
