/*------------------------------------------------------------\
|                                                             |
| Tool    :                    XVPN                           |
|                                                             |
| File    :                  Object.h                         |
|                                                             |
| Authors :              Jacomme Ludovic                      |
|                                                             |
| Date    :                   04.12.96                        |
|                                                             |
\------------------------------------------------------------*/

/*------------------------------------------------------------\
|                                                             |
|                         Include Files                       |
|                                                             |
\------------------------------------------------------------*/

# ifndef XVP_OBJECT_H
# define XVP_OBJECT_H

/*------------------------------------------------------------\
|                                                             |
|                           Constants                         |
|                                                             |
\------------------------------------------------------------*/

# define XVPN_COORD( P )        (((xvpncoord *)((P)->USER))        )
# define XVPN_COORD_X( P )      (((xvpncoord *)((P)->USER))->X     )
# define XVPN_COORD_Y( P )      (((xvpncoord *)((P)->USER))->Y     )
# define XVPN_COORD_OBJECT( P ) (((xvpncoord *)((P)->USER))->OBJECT)

/*------------------------------------------------------------\
|                                                             |
|                            Types                            |
|                                                             |
\------------------------------------------------------------*/

   typedef struct xvpncoord
   {
     xvpnobj_list *OBJECT;
     long          X;
     long          Y;

   } xvpncoord;

/*------------------------------------------------------------\
|                                                             |
|                          Variables                          |
|                                                             |
\------------------------------------------------------------*/
/*------------------------------------------------------------\
|                                                             |
|                          Functions                          |
|                                                             |
\------------------------------------------------------------*/

# endif 
