/*
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This progam is  free software; you can redistribute it  and/or modify it
 * under the  terms of the GNU  General Public License as  published by the
 * Free Software Foundation;  either version 2 of the License,  or (at your
 * option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* ###--------------------------------------------------------------### */
/*                                                                      */
/* file         : scan_path.h                                           */
/* date         : Jul 10 1995                                           */
/* version      : v100                                                  */
/* authors      : GUETTAF Amar                                          */
/* description  : header fil e                                          */
/*                                                                      */
/* ###--------------------------------------------------------------### */



extern struct chain *scan_ptr;/* list of the ffs in the scan path */
extern struct chain *scan_order;/* list of the ff in the scanpath_order file */
extern nbr_scan;

extern chain_list *get_scan_order( );
extern chain_list *get_scan();
extern chain_list *get_mem_cells();
extern int _atoi();
extern void insert_scan();
